#    Copyright (C) 1989 Aladdin Enterprises.  All rights reserved.
#    Distributed by Free Software Foundation, Inc.
#
# This file is part of Ghostscript.
#
# Ghostscript is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY.  No author or distributor accepts responsibility
# to anyone for the consequences of using it or for whether it serves any
# particular purpose or works at all, unless he says so in writing.  Refer
# to the Ghostscript General Public License for full details.
#
# Everyone is granted permission to copy, modify and redistribute
# Ghostscript, but only under the conditions described in the Ghostscript
# General Public License.  A copy of this license is supposed to have been
# given to you along with Ghostscript so you can know your rights and
# responsibilities.  It should be in a file named COPYING.  Among other
# things, the copyright notice and this notice must be preserved on all
# copies.

# makefile for Ghostscript, version 1.2,
# Unix/gcc/X11 configuration.

# ------------------------------- Options ------------------------------- #

####### The following are the only parts of the file you should need to edit.

# Define the debugging flags (passed to cc).
# -DDEBUG enables debugging features in the language interpreter.
# -Dgs_DEBUG enables debugging features in the library.

CCDEBUG=

# Define the other compilation flags.

CFLAGS=-O -ansi

# Define platform flags for ld.
# The following are appropriate for Sun OS4.0.

LDPLAT=-Bstatic

# ---------------------------- End of options --------------------------- #

# Define the extensions for the object and executable files.

OBJ=o
XE=

# Define the compilation rules.

.c.o:
	gcc $(CFLAGS) $(CCDEBUG) -c $*.c

CCNA=gcc $(CFLAGS) $(CCDEBUG) -c

# --------------------------- Generic makefile ---------------------------- #

include ghost.mak

# ---------------------------- Device drivers ---------------------------- #

## The X.11 device

DEVX=gdevx.$(OBJ)

gdevx.$(OBJ): gdevx.c gx.h gxdevice.h

# -------------------------------- Library -------------------------------- #

# Choose the output device

DEVFORUNIX=$(DEVX)
LIBUNIX=$(LIB) $(DEVFORUNIX)

gs_lib.o: $(LIBUNIX)
	ld $(LDPLAT) -r -X -o gs_lib.o $(LIBUNIX) -lX11 -lm

gs_lib0.o: $(LIB)
	ld $(LDPLAT) -r -X -o gs_lib0.o $(LIB)

# ----------------------------- Main program ------------------------------ #

# (Dummy) tracing package

utrace.o: utrace.c

# Library test programs

x: x.$(OBJ) gdevx.$(OBJ)
	cc $(LDPLAT) -X -o x x.$(OBJ) gdevx.$(OBJ) -lX11 -lm

GTUNIX=gt.$(OBJ) gsmain.$(OBJ) utrace.$(OBJ) gs_lib0.$(OBJ) $(DEVFORUNIX)
gt: $(GTUNIX)
	cc $(CFLAGS) $(LDPLAT) -X -o gt $(GTUNIX) -lX11 -lm

# Interpreter main program

GSUNIX=gs.$(OBJ) gsmain.$(OBJ) utrace.$(OBJ) $(INT) gs_lib0.$(OBJ) gdevx.$(OBJ)
gs: $(GSUNIX)
	cc $(CFLAGS) $(LDPLAT) -X -o gs $(GSUNIX) -lX11 -lm
